Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.analysis.tr
Class TurkishAnalyzer

    java.lang.Object
      org.apache.lucene.analysis.Analyzer
          org.apache.lucene.analysis.ReusableAnalyzerBase
              org.apache.lucene.analysis.StopwordAnalyzerBase
                  org.apache.lucene.analysis.tr.TurkishAnalyzer

All Implemented Interfaces:
  Closeable

    public final class TurkishAnalyzer

extends org.apache.lucene.analysis.StopwordAnalyzerBase

`Analyzer` for Turkish.

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents`

Field Summary
`static String` | `DEFAULT_STOPWORD_FILE` File containing default Turkish stopwords.

Fields inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`matchVersion, stopwords`

Constructor Summary
`TurkishAnalyzer(org.apache.lucene.util.Version matchVersion)` Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.
`TurkishAnalyzer(org.apache.lucene.util.Version matchVersion, Set<?> stopwords)` Builds an analyzer with the given stop words.
`TurkishAnalyzer(org.apache.lucene.util.Version matchVersion, Set<?> stopwords, Set<?> stemExclusionSet)` Builds an analyzer with the given stop words.

Method Summary
`protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents` | `createComponents(String fieldName, Reader reader)` Creates a `ReusableAnalyzerBase.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.
`static Set<?>` | `getDefaultStopSet()` Returns an unmodifiable instance of the default stop words set.

Methods inherited from class org.apache.lucene.analysis.StopwordAnalyzerBase
`getStopwordSet, loadStopwordSet, loadStopwordSet, loadStopwordSet`

Methods inherited from class org.apache.lucene.analysis.ReusableAnalyzerBase
`initReader, reusableTokenStream, tokenStream`

Methods inherited from class org.apache.lucene.analysis.Analyzer
`close, getOffsetGap, getPositionIncrementGap, getPreviousTokenStream, setPreviousTokenStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_STOPWORD_FILE

    public static final String DEFAULT_STOPWORD_FILE

  File containing default Turkish stopwords.

  See Also:
    Constant Field Values

Constructor Detail

### TurkishAnalyzer

    public TurkishAnalyzer(org.apache.lucene.util.Version matchVersion)

  Builds an analyzer with the default stop words: `DEFAULT_STOPWORD_FILE`.

### TurkishAnalyzer

    public TurkishAnalyzer(org.apache.lucene.util.Version matchVersion,
                           Set<?> stopwords)

  Builds an analyzer with the given stop words.

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set

### TurkishAnalyzer

    public TurkishAnalyzer(org.apache.lucene.util.Version matchVersion,
                           Set<?> stopwords,
                           Set<?> stemExclusionSet)

  Builds an analyzer with the given stop words. If a non-empty stem exclusion set is provided this analyzer will add a `KeywordMarkerFilter` before stemming.

  Parameters:
    `matchVersion` - lucene compatibility version
    `stopwords` - a stopword set
    `stemExclusionSet` - a set of terms not to be stemmed

Method Detail

### getDefaultStopSet

    public static Set<?> getDefaultStopSet()

  Returns an unmodifiable instance of the default stop words set.

  Returns:
    default stop words set.

### createComponents

    protected org.apache.lucene.analysis.ReusableAnalyzerBase.TokenStreamComponents createComponents(String fieldName,
                                                                                                     Reader reader)

  Creates a `ReusableAnalyzerBase.TokenStreamComponents` which tokenizes all the text in the provided `Reader`.

  Specified by:
    `createComponents` in class `org.apache.lucene.analysis.ReusableAnalyzerBase`
  Returns:
    A `ReusableAnalyzerBase.TokenStreamComponents` built from an `StandardTokenizer` filtered with `StandardFilter`, `TurkishLowerCaseFilter`, `StopFilter`, `KeywordMarkerFilter` if a stem exclusion set is provided and `SnowballFilter`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD